{"openapi":"3.1.0","info":{"title":"GlobalShop API","version":"0.4.0","description":"Public health, discovery, and read-only MCP access for the Global Anti-Globalist Club storefront."},"servers":[{"url":"https://globalshop.platphormnews.com"}],"paths":{"/api/health":{"get":{"operationId":"getHealth","summary":"Get public-safe service, product, and platform status","responses":{"200":{"description":"REST success envelope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessEnvelope"}}}}}}},"/api/mcp":{"get":{"operationId":"getMcpMetadata","summary":"Get read-only MCP metadata and usage","responses":{"200":{"description":"REST success envelope"}}},"post":{"operationId":"callMcp","summary":"Call the read-only JSON-RPC 2.0 MCP endpoint","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":["object","array"]}}}},"responses":{"200":{"description":"JSON-RPC response or batch"},"204":{"description":"Notification accepted without a response body"},"413":{"description":"Bounded request limit exceeded"}}}}},"components":{"securitySchemes":{"PlatPhormBearer":{"type":"http","scheme":"bearer"},"PlatPhormApiKey":{"type":"apiKey","in":"header","name":"X-PlatPhorm-API-Key"}},"schemas":{"SuccessEnvelope":{"type":"object","required":["ok","data"],"properties":{"ok":{"const":true},"data":{"type":"object","additionalProperties":true}}},"ErrorEnvelope":{"type":"object","required":["ok","error"],"properties":{"ok":{"const":false},"error":{"type":"object","required":["code","message","details"],"properties":{"code":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","additionalProperties":true}}}}}}}}